# BarcodeDocumentFormat enum

Barcode document format

Inheritance
  - Object
  - Enum
  - BarcodeDocumentFormat

## Constructors

BarcodeDocumentFormat()
  const

## Values

AAMVA → const BarcodeDocumentFormat

  American Association of Motor Vehicle Administrators barcode document */

BOARDING_PASS → const BarcodeDocumentFormat

  Boarding pass barcode document */

DE_MEDICAL_PLAN → const BarcodeDocumentFormat

  German medical plan barcode document */

MEDICAL_CERTIFICATE → const BarcodeDocumentFormat

  German medical certificate barcode document */

ID_CARD_PDF_417 → const BarcodeDocumentFormat

  ID Card barcode document */

SEPA → const BarcodeDocumentFormat

  SEPA barcode document */

SWISS_QR → const BarcodeDocumentFormat

  Swiss QR barcode document */

VCARD → const BarcodeDocumentFormat

  VCard barcode document */

GS1 → const BarcodeDocumentFormat

  GS1 barcode document */

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<BarcodeDocumentFormat>
  A constant List of the values in this enum, in order of their declaration.